local assets=
{
    Asset("ANIM", "anim/yurikflashlight.zip"),
    Asset("ANIM", "anim/swap_yurikflashlight.zip"),
 
    Asset("ATLAS", "images/inventoryimages/yurikflashlight.xml"),
    Asset("IMAGE", "images/inventoryimages/yurikflashlight.tex"),
}

local function fn()
	local inst = CreateEntity()
	inst.entity:AddTransform()
	inst.entity:AddAnimState()
    MakeInventoryPhysics(inst)
	inst.entity:AddLight()

	inst.entity:AddTransform()
	inst.entity:AddAnimState()
	inst.entity:AddSoundEmitter()
    inst.entity:AddNetwork()
	
	inst.AnimState:SetBank("yurikflashlight")
    inst.AnimState:SetBuild("yurikflashlight")
    inst.AnimState:PlayAnimation("idle")
	
	if not TheWorld.ismastersim then
        return inst
    end
 
    local function OnEquip(inst, owner)
        owner.AnimState:OverrideSymbol("swap_object", "swap_yurikflashlight", "swap_yurikflashlight")
        owner.AnimState:Show("ARM_carry")
        owner.AnimState:Hide("ARM_normal")
		local light = inst.entity:AddLight()
		light:SetFalloff(.6)
		light:SetIntensity(.9)
		light:SetRadius(3)
		light:Enable(true)
		light:SetColour(9/255, 35/255, 206/255)	
		inst.AnimState:SetBloomEffectHandle( "shaders/anim_haunted.ksh" )
    end
 
    local function OnUnequip(inst, owner)
        owner.AnimState:Hide("ARM_carry")
        owner.AnimState:Show("ARM_normal")
    end
 
    inst:AddComponent("inventoryitem")
	inst.components.inventoryitem.keepondeath = true
    inst.components.inventoryitem.imagename = "yurikflashlight"
    inst.components.inventoryitem.atlasname = "images/inventoryimages/yurikflashlight.xml"
     
    inst:AddComponent("equippable")
    inst.components.equippable:SetOnEquip( OnEquip )
    inst.components.equippable:SetOnUnequip( OnUnequip )
			
	inst:AddComponent("inspectable")
			
	inst:AddTag("shadow")
 	inst:AddComponent("weapon")
    inst.components.weapon:SetDamage(35)
    inst.components.weapon:SetRange(8, 10)
	inst.components.weapon:SetProjectile("spiritbolt")

    return inst
	
end

STRINGS.NAMES.YURIKFLASHLIGHT = "Spirit Stone Flashlight"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.YURIKFLASHLIGHT = "Pesky Ghost can go away."
	
return  Prefab("common/inventory/yurikflashlight", fn, assets)