local assets =
{
    Asset("ANIM", "anim/yurikmedicine.zip"),
	
    Asset("ATLAS", "images/inventoryimages/yurikmedicine.xml"),
    Asset("IMAGE", "images/inventoryimages/yurikmedicine.tex"),
}

local function fn()
    local inst = CreateEntity()

    inst.entity:AddTransform()
    inst.entity:AddAnimState()
    inst.entity:AddNetwork()

    MakeInventoryPhysics(inst)

    inst.AnimState:SetBank("yurikmedicine")
    inst.AnimState:SetBuild("yurikmedicine")
    inst.AnimState:PlayAnimation("idle")

    inst:AddTag("cattoy")

    inst.entity:SetPristine()

    if not TheWorld.ismastersim then
        return inst
    end
    ---------------------

    inst:AddComponent("inspectable")

    inst:AddComponent("inventoryitem")
    inst.components.inventoryitem.imagename = "yurikmedicine"
    inst.components.inventoryitem.atlasname = "images/inventoryimages/yurikmedicine.xml"
    
	inst:AddComponent("stackable")
    inst:AddComponent("tradable")

	inst:AddComponent("edible")   
    inst.components.edible.healthvalue = 25
    inst.components.edible.hungervalue = 0
    inst.components.edible.sanityvalue = 10

    return inst
end

STRINGS.NAMES.YURIKMEDICINE = "Medicine"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.YURIKMEDICINE = "Herbal Medicine to heal ailments."

return Prefab("yurikmedicine", fn, assets)